Subject: Re: linux-next: build failure after merge of the drm-intel-fixes tree

From: Alex Williamson <[email-masked]>
Date: Tue, 3 Jan 2017 13:37:17 -0700

On Tue, 03 Jan 2017 15:25:24 +0200
Jani Nikula <[email-masked]> wrote:

> On Tue, 03 Jan 2017, Zhenyu Wang <[email-masked]> wrote:
> > On 2017.01.02 21:48:57 -0700, Alex Williamson wrote:  
> >> > Alex, I liked to have kvmgt related mdev interface change be merged through
> >> > vfio tree, but wasn't awared one of Jike's fix had conflict. Could you apply
> >> > below fix in your tree? I think in general for possible interface change in
> >> > future we still need a pull request for i915 to resolve dependence earlier.  
> >> 
> >> Hi Zhenyu,
> >> 
> >> Hopefully this abstraction will help to isolate vendor drivers from
> >> mdev API changes in the future.  I can certainly roll this patch into
> >> the original to maintain bisectability.  I want to get these changes in
> >> for rc3, will a pull request for the i915 changes be sent this week?  
> >
> > Send to Jani who is managing i915 fixes pull.  
> 
> Send what to me? I've pushed fixes to drm-intel-fixes today for testing,
> and expect to send a pull request to Dave early Thursday. If there's a
> conflict, it can usually be solved while merging, like Stephen has done.

Unless there's some preference otherwise, I was only asking if the i915
changes were queued for rc3 such that I could trail behind them and
fixup the mdev API change without relying on it getting caught in the
merge.  If we're happy to do it at merge time, I won't worry about it.
Thanks,

Alex
_______________________________________________
Intel-gfx mailing list
[email-masked]
https://lists.freedesktop.org/mailman/listinfo/intel-gfx